Main Page Namespace List Class Hierarchy Compound List Compound Members

# ZThread::WLock Class Reference

`#include <RWLock.h>`

Inheritance diagram for ZThread::WLock::

List of all members.

## Protected Methods
| WLock (RWLock *l) throw (Synchronization_Exception)
| Create write lock associated with a certain RWLock. More...
virtual | ~WLock ()
| Destroy the write lock.
virtual void | release () throw (Synchronization_Exception)
| Release the write lock.
virtual void | acquire () throw (Synchronization_Exception)
| Acquire the write lock.
virtual bool | tryAcquire (unsigned long milliseconds) throw (Synchronization_Exception)
| Acquire the write lock with a timeout. More...

## Detailed Description

Delegate the lockable interface to the associated RWLock. This allows the RWLock to be used with the Guard object

## Constructor & Destructor Documentation

WLock ( | RWLock * l ) throw (Synchronization_Exception)`[inline, protected]`

  | Create write lock associated with a certain RWLock. Parameters:
  l |

## Member Function Documentation

bool tryAcquire ( | unsigned long milliseconds ) throw (Synchronization_Exception)`[inline, protected, virtual]`

  | Acquire the write lock with a timeout. Parameters:
  milliseconds |
Reimplemented from ZThread::Lockable.

The documentation for this class was generated from the following file:

- RWLock.h